---
title: 'About Me'
type: about
weight: 20
---
![me](images/me_codeskraps.gif)

I'm a passionate and highly motivated software engineer with a deep-rooted love for technology that dates back to my first computer, an Amstrad 8256. From those early days of programming as a hobby, I've turned my passion into a successful career, specializing in cross-platform mobile development with expertise in both Android and iOS ecosystems.

<br>

## Professional Journey

Currently, I'm a professional at Trifork Smart Enterprise, where I leverage my extensive experience in mobile development to deliver high-quality solutions. My career spans various domains, including:

- Android native app development with Java and Kotlin
- iOS development with Swift and SwiftUI
- Cross-platform architectures using Kotlin Multiplatform
- Backend integration with Spring Framework and RESTful APIs
- Team leadership and technical mentoring
- Working in fast-paced, agile environments

Throughout my career, I've contributed to award-winning apps and worked with startups and established companies alike. I take pride in writing clean, efficient code and designing scalable solutions that adhere to best practices in software engineering.

## Technical Expertise

My skill set includes:

- **Mobile Development**: 
  - Android (Java, Kotlin, Android SDK)
  - iOS (Swift, SwiftUI, Swift 6 with async)
  - Modern app architectures (MVVM, Clean Architecture)
  - Modular design principles
  
- **Libraries & Frameworks**:
  - Android Jetpack (Room, LiveData, ViewModel)
  - SwiftData for persistence on iOS
  - Kotlin Multiplatform for cross-platform development
  - Dependency injection (Dagger2, Hilt, Koin)
  - Reactive programming (RxJava, Combine)
  - Database solutions (GRDB, Room)
  - Networking (Retrofit, Swift concurrency)
  
- **Cross-Platform Expertise**:
  - Kotlin Multiplatform for shared business logic
  - Modular architecture for code reuse
  - Platform-specific UI with shared data/domain layers
  - Clean Architecture implementation across platforms

I'm always eager to learn and stay up-to-date with the latest trends in technology, particularly in the mobile development ecosystem.

## Projects & Contributions

I've developed several personal projects that showcase my skills and passion for mobile development:

- **Weekly Weather**: A clean, intuitive weather forecasting app available in 37 languages
- **sBrowser**: A lightweight yet feature-rich browser for Android, originally developed for teaching purposes
- **Real-time Sunlight Wallpaper**: An application that shows computer-generated illustrations of the Earth's patterns of sunlight and darkness in real-time
- **Various utility apps** published on Google Play Store

## Beyond Coding

Outside of my professional work, I'm an active member of the tech community. I co-founded 091 Labs, a local hackerspace in Galway, where I've conducted workshops on Android development. I'm also passionate about open-source projects and have contributed to various initiatives on GitHub and Launchpad.

As a multilingual professional fluent in English, Catalan, and Spanish, I bring a global perspective to my work and enjoy collaborating with diverse teams across different cultures.

Whether it's developing innovative mobile applications, contributing to open-source projects, or sharing knowledge with aspiring developers, I'm always excited to take on new challenges in the ever-evolving world of technology.

Feel free to check out my work on [Repo](https://repo.codeskraps.com/codeskraps) or my published apps on the [Google Play Store](https://play.google.com/store/apps/developer?id=Codeskraps).

## Education

I hold a degree from Galway-Mayo Institute of Technology, where I built a strong foundation in computer science and software development that continues to inform my work today.
